aboutsummaryrefslogtreecommitdiff
path: root/paludis/repositories/e/ebuild/4
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2009-12-14 18:33:36 +0000
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2009-12-14 18:33:36 +0000
commit022f4dd439abfeffad3bf9d822306a47102874e6 (patch)
treef7c05811c63bafbd5fd25186a08a87459f2e3a30 /paludis/repositories/e/ebuild/4
parentdee918a74ce99cb059de73f0ea9369cecbdf9567 (diff)
downloadpaludis-022f4dd439abfeffad3bf9d822306a47102874e6.tar.gz
paludis-022f4dd439abfeffad3bf9d822306a47102874e6.tar.xz
EAPI 3 is EAPI 4 now
Diffstat (limited to 'paludis/repositories/e/ebuild/4')
-rw-r--r--paludis/repositories/e/ebuild/4/Makefile.am17
-rw-r--r--paludis/repositories/e/ebuild/4/die_functions.bash25
-rw-r--r--paludis/repositories/e/ebuild/4/output_functions.bash30
-rw-r--r--paludis/repositories/e/ebuild/4/pkg_pretend.bash44
-rw-r--r--paludis/repositories/e/ebuild/4/src_install.bash76
5 files changed, 192 insertions, 0 deletions
diff --git a/paludis/repositories/e/ebuild/4/Makefile.am b/paludis/repositories/e/ebuild/4/Makefile.am
new file mode 100644
index 000000000..5f7881498
--- /dev/null
+++ b/paludis/repositories/e/ebuild/4/Makefile.am
@@ -0,0 +1,17 @@
+include $(top_srcdir)/misc/common-makefile.am
+
+SUBDIRS = .
+
+libexecprog4dir = $(libexecdir)/paludis/4
+
+libexecprog4_SCRIPTS = \
+ pkg_pretend.bash \
+ src_install.bash \
+ die_functions.bash \
+ output_functions.bash
+
+TESTS =
+check_SCRIPTS = $(TESTS)
+
+EXTRA_DIST = $(libexecprog4_SCRIPTS)
+
diff --git a/paludis/repositories/e/ebuild/4/die_functions.bash b/paludis/repositories/e/ebuild/4/die_functions.bash
new file mode 100644
index 000000000..1bdaac157
--- /dev/null
+++ b/paludis/repositories/e/ebuild/4/die_functions.bash
@@ -0,0 +1,25 @@
+#!/usr/bin/env bash
+# vim: set sw=4 sts=4 et :
+
+# Copyright (c) 2009 Ciaran McCreesh
+#
+# This file is part of the Paludis package manager. Paludis is free software;
+# you can redistribute it and/or modify it under the terms of the GNU General
+# Public License, version 2, as published by the Free Software Foundation.
+#
+# Paludis is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
+# details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place, Suite 330, Boston, MA 02111-1307 USA
+
+ebuild_load_module --older die_functions
+
+nonfatal()
+{
+ PALUDIS_FAILURE_IS_FATAL= PALUDIS_FAILURE_IS_NONFATAL=yes "${@}"
+}
+
diff --git a/paludis/repositories/e/ebuild/4/output_functions.bash b/paludis/repositories/e/ebuild/4/output_functions.bash
new file mode 100644
index 000000000..dec0f3f8a
--- /dev/null
+++ b/paludis/repositories/e/ebuild/4/output_functions.bash
@@ -0,0 +1,30 @@
+#!/usr/bin/env bash
+# vim: set sw=4 sts=4 et :
+
+# Copyright (c) 2006, 2007, 2008, 2009 Ciaran McCreesh
+#
+# This file is part of the Paludis package manager. Paludis is free software;
+# you can redistribute it and/or modify it under the terms of the GNU General
+# Public License, version 2, as published by the Free Software Foundation.
+#
+# Paludis is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
+# details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place, Suite 330, Boston, MA 02111-1307 USA
+
+ebuild_notice()
+{
+ [[ -z "${PALUDIS_PIPE_COMMANDS_SUPPORTED}" ]] && return
+ paludis_pipe_command LOG "$EAPI" "$@" >/dev/null
+}
+
+ebuild_section()
+{
+ echo -ne "${COLOUR_PURPLE}>>>${COLOUR_NORMAL} "
+ echo "$@"
+}
+
diff --git a/paludis/repositories/e/ebuild/4/pkg_pretend.bash b/paludis/repositories/e/ebuild/4/pkg_pretend.bash
new file mode 100644
index 000000000..18ab429ea
--- /dev/null
+++ b/paludis/repositories/e/ebuild/4/pkg_pretend.bash
@@ -0,0 +1,44 @@
+#!/usr/bin/env bash
+# vim: set sw=4 sts=4 et :
+
+# Copyright (c) 2008 David Leverton
+#
+# Based in part upon ebuild.sh from Portage, which is Copyright 1995-2005
+# Gentoo Foundation and distributed under the terms of the GNU General
+# Public License v2.
+#
+# This file is part of the Paludis package manager. Paludis is free software;
+# you can redistribute it and/or modify it under the terms of the GNU General
+# Public License, version 2, as published by the Free Software Foundation.
+#
+# Paludis is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
+# details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place, Suite 330, Boston, MA 02111-1307 USA
+
+default_pkg_pretend()
+{
+ :
+}
+
+pkg_pretend()
+{
+ default_pkg_pretend
+}
+
+ebuild_f_pretend()
+{
+ if hasq "pretend" ${SKIP_FUNCTIONS} ; then
+ ebuild_section "Skipping pkg_pretend (SKIP_FUNCTIONS)"
+ else
+ echo
+ pkg_pretend
+ echo
+ fi
+ true
+}
+
diff --git a/paludis/repositories/e/ebuild/4/src_install.bash b/paludis/repositories/e/ebuild/4/src_install.bash
new file mode 100644
index 000000000..d76843313
--- /dev/null
+++ b/paludis/repositories/e/ebuild/4/src_install.bash
@@ -0,0 +1,76 @@
+#!/usr/bin/env bash
+# vim: set sw=4 sts=4 et :
+
+# Copyright (c) 2006, 2007, 2009 Ciaran McCreesh
+#
+# Based in part upon ebuild.sh from Portage, which is Copyright 1995-2005
+# Gentoo Foundation and distributed under the terms of the GNU General
+# Public License v2.
+#
+# This file is part of the Paludis package manager. Paludis is free software;
+# you can redistribute it and/or modify it under the terms of the GNU General
+# Public License, version 2, as published by the Free Software Foundation.
+#
+# Paludis is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
+# details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place, Suite 330, Boston, MA 02111-1307 USA
+
+default_src_install()
+{
+ if [[ -f Makefile ]] || [[ -f GNUmakefile ]] || [[ -f makefile ]]; then
+ emake DESTDIR="${D}" install
+ fi
+ if ! declare -p DOCS >/dev/null 2>&1 ; then
+ local d
+ for d in README* ChangeLog AUTHORS NEWS TODO CHANGES \
+ THANKS BUGS FAQ CREDITS CHANGELOG ; do
+ [[ -s "${d}" ]] && dodoc "${d}"
+ done
+ elif declare -p DOCS | grep -q ’^declare -a ’ ; then
+ dodoc "${DOCS[@]}"
+ else
+ dodoc ${DOCS}
+ fi
+}
+
+src_install()
+{
+ default_src_install
+}
+
+ebuild_f_install()
+{
+ if [[ -d "${S}" ]] ; then
+ cd "${S}" || die "cd to \${S} (\"${S}\") failed"
+ elif [[ -n "${PALUDIS_NO_S_WORKDIR_FALLBACK}" ]] ; then
+ die "\${S} (\"${S}\") does not exist"
+ elif [[ -d "${WORKDIR}" ]] ; then
+ cd "${WORKDIR}" || die "cd to \${WORKDIR} (\"${WORKDIR}\") failed"
+ fi
+
+ if hasq "install" ${SKIP_FUNCTIONS} ; then
+ ebuild_section "Skipping src_install (SKIP_FUNCTIONS)"
+ else
+ if [[ $(type -t pre_src_install ) == "function" ]] ; then
+ ebuild_section "Starting pre_src_install"
+ pre_src_install
+ ebuild_section "Done pre_src_install"
+ fi
+
+ ebuild_section "Starting src_install"
+ src_install
+ ebuild_section "Done src_install"
+
+ if [[ $(type -t post_src_install ) == "function" ]] ; then
+ ebuild_section "Starting post_src_install"
+ post_src_install
+ ebuild_section "Done post_src_install"
+ fi
+ fi
+}
+